<!DOCTYPE html>
<html lang="en" class="single video-scroll  play ongoing">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">


<link rel="stylesheet" href="https://nonlinear.nyc/css/main.cdbb272944a09e404f74f3781e5fceaa83b40a111ffdcc00319ae4609a76a362.css">

	<title>Nicholas Frota</title>
</head>
<body>

<article class="container">

 
          
	<style>
  html {
    scroll-behavior: smooth;
  }

  #video {
    position: fixed;
    height: 100vh;
  }
  .scroll-dummy {
    height: 3000px;
    max-width: 998px;
    padding: 20px;
    z-index: 1;
  }
</style>
</head>
<body>
  <!-- partial:index.partial.html -->
  <!-- Ref https://www.reddit.com/r/javascript/comments/dolagh/apple_airpods_pro_page_uses_a_lot_of_images_so_i/ -->
  <div class="scroll-dummy">
    <video id="video" width="300">
      <source src="/images/video.mp4" type="video/mp4">
      </video>
    </div>
    <script>
      var FRAMES = 148;
      var FPS = 30;
      var video = document.getElementById('video');

      window.addEventListener('scroll', function (e) {
        var time = (window.scrollY / 1000) * FRAMES / FPS;
        video.currentTime = time;
        console.log(time);
      });

      window.addEventListener('load', function(e) {
        video.pause();
        video.currentTime = 0;
      });
    </script>
</article>


</body>
</html>